unit cfgtcpip;

{ By Paul Toth }
{ PaulToth@compuserve.com }
{ http://ourworld.compuserve.com/homepages/paultoth }
{ Tothpaul@Mygale.org }
{ http://www.mygale.org/~tothpaul }

{ This is a beta version of my TCPIP suite }

{
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
}interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, ComCtrls, tcpip0;

type
  TConfigForm = class(TForm)
    ConfigPages: TPageControl;
    ConfigSMTP: TTabSheet;
    Label1: TLabel;
    SMTPServer: TEdit;
    Panel1: TPanel;
    btCancel: TButton;
    btDelete: TButton;
    Label2: TLabel;
    YourName: TEdit;
    Label3: TLabel;
    YourEmail: TEdit;
    btApply: TButton;
    ConfigHTTP: TTabSheet;
    Label4: TLabel;
    HomePage: TEdit;
    ConfigPOP3: TTabSheet;
    Label5: TLabel;
    pop3Server: TEdit;
    Label6: TLabel;
    Label7: TLabel;
    Account: TEdit;
    Password: TEdit;
    Panel2: TPanel;
    ConfigName: TComboBox;
    ckUpper: TCheckBox;
    btOK1: TButton;
    procedure btOKClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure btApplyClick(Sender: TObject);
    procedure ConfigNameChange(Sender: TObject);
    procedure btDeleteClick(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  ConfigForm: TConfigForm;

implementation

{uses tcpip2, tcpip1;}

{$R *.DFM}

procedure TConfigForm.btOKClick(Sender: TObject);
begin
 btApply.Click;
 ModalResult:=mrOK;
end;

procedure TConfigForm.FormCreate(Sender: TObject);
begin
 { ConfigList }
  Config.ReadSection('ConfigList',ConfigName.Items);
 { Config }
  ConfigName.Text:=Config.ConfigName;
  configNameChange(Self);
end;

procedure TConfigForm.btApplyClick(Sender: TObject);
begin
 Config.ConfigName:=ConfigName.Text;
 Config.WriteInteger('ConfigList',ConfigName.Text,1);
 Config.ReadSection('ConfigList',ConfigName.Items);
 { Home Page }
 Config.HomePage:=HomePage.Text;
 Config.Upper:=ckUpper.Checked;
 { SMTP Server }
 Config.SMTPServer:=SMTPServer.Text;
 Config.UserName:=YourName.Text;
 Config.EMail:=YourEMail.Text;
 { POP3 server }
 Config.POP3Server:=POP3Server.Text;
 Config.Account:=Account.Text;
 Config.Password:=Password.Text;
end;

procedure TConfigForm.ConfigNameChange(Sender: TObject);
begin
 { Set config }
  Config.ConfigName:=ConfigName.Text;
 { HTTP }
  HomePage.Text:=Config.HomePage;
  ckUpper.Checked:=Config.Upper;
 { SMTP }
  SMTPServer.Text:=Config.SMTPServer;
  YourName.Text:=Config.UserName;
  YourEMail.Text:=config.EMail;
 { POP3 }
  POP3Server.Text:=Config.POP3Server;
  Account.Text:=Config.Account;
  Password.Text:=Config.Password;;
end;

procedure TConfigForm.btDeleteClick(Sender: TObject);
var
 i:integer;
begin
 Config.EraseSection('cfg_'+ConfigName.text);
 Config.EraseSection('ConfigList');
 For i:=0 to ConfigName.Items.Count-1 do
  if ConfigName.Items[i]<>ConfigName.Text then
   Config.WriteInteger('ConfigList',ConfigName.Items[i],1);
 config.ReadSection('ConfigList',configName.Items);
 ConfigName.ItemIndex:=0;
 ConfigNamechange(self);
end;

end.
